#ifndef __EINK_DISPLAY_UPDATE_H__
#define __EINK_DISPLAY_UPDATE_H__

/**
 * File Name  : eink-display-update.h
 *
 * Description: Functions to trigger display updates on an e-ink device
 */

/*
 * This file is part of matchbox-keyboard.
 *
 * matchbox-keyboard is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * matchbox-keyboard is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
 * Copyright (C) 2008 iRex Technologies B.V.
 * All rights reserved.
 */


//----------------------------------------------------------------------------
// Include Files
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Macro Definitions
//---------------------------------------------------------------------------- 


//----------------------------------------------------------------------------
// Forward Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Type Declarations
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
// Global Constants
//----------------------------------------------------------------------------


//============================================================================
// Public Functions
//============================================================================

/**---------------------------------------------------------------------------
 *
 * Name :  irex_display_update
 *
 * @brief  Trigger a display update for the specified region
 *
 * @param  x, y, width, height - screen area to be updated
 *
 * @return Pointer to the newly created object, or NULL
 *
 *--------------------------------------------------------------------------*/
void irex_display_update_impl(int x, int y, int width, int height);

#if DEBUG
#define irex_display_update(x, y, w, h)                 \
        {                                               \
            fprintf( stderr,                            \
                     "\n%d:%s() irex_display_update\n", \
                     __LINE__,                          \
                     __func__  );                       \
            irex_display_update_impl(x, y, w, h);       \
        }
#else
#define irex_display_update     irex_display_update_impl
#endif



#endif // __EINK_DISPLAY_UPDATE_H__

